Bug 193606 - [patch] www/polipo: Changing the PCACHEDIR variable causes a ckeck-plist error
Summary: [patch] www/polipo: Changing the PCACHEDIR variable causes a ckeck-plist error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-13 13:09 UTC by WATANABE Kazuhiro
Modified: 2014-10-31 17:11 UTC (History)
2 users (show)

See Also:
frank: maintainer-feedback-


Attachments
A patch for www/polipo (790 bytes, patch)
2014-09-13 13:09 UTC, WATANABE Kazuhiro
no flags Details | Diff
poudriere testport error log (with PCACHEDIR=/tmp/polipo) (12.62 KB, text/x-log)
2014-09-13 13:11 UTC, WATANABE Kazuhiro
no flags Details
poudriere testport log (with the patch and PCACHEDIR=/tmp/polipo) (17.13 KB, text/x-log)
2014-09-13 13:13 UTC, WATANABE Kazuhiro
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description WATANABE Kazuhiro 2014-09-13 13:09:30 UTC
Created attachment 147270 [details]
A patch for www/polipo

The PCACHEDIR variable is set to /var/cache/polipo for a default value
in Makefile.
If the other directory name (e.g. /tmp/polipo) is specified,
it causes a check-plist error:

| ===> Checking for items in pkg-plist which are not in STAGEDIR
| Error: Missing: @dirrmtry /var/cache/polipo
| ===> Error: Plist issues found.
| *** [check-plist] Error code 1
| 
| Stop in /usr/ports/www/polipo.
| ====>> Error: check-plist failures detected
Comment 1 Bugzilla Automation freebsd_committer 2014-09-13 13:09:30 UTC
Maintainer CC'd
Comment 2 WATANABE Kazuhiro 2014-09-13 13:11:40 UTC
Created attachment 147271 [details]
poudriere testport error log (with PCACHEDIR=/tmp/polipo)
Comment 3 WATANABE Kazuhiro 2014-09-13 13:13:29 UTC
Created attachment 147272 [details]
poudriere testport log (with the patch and PCACHEDIR=/tmp/polipo)
Comment 4 Frank Behrens 2014-09-14 08:30:22 UTC
Thanks for that finding and the fix!

I approve the patch in attachment #147270 [details].

Regards,
   Frank (maintainer)
Comment 5 John Marino freebsd_committer 2014-10-31 17:00:08 UTC
This patch is obsolete.  I'll take it to remove all the @dirrm in the pkg-plist.
Comment 6 John Marino freebsd_committer 2014-10-31 17:00:49 UTC
actually, it's not quite obsolete.  I need to do something similar.
Comment 7 commit-hook freebsd_committer 2014-10-31 17:09:41 UTC
A commit references this bug:

Author: marino
Date: Fri Oct 31 17:09:23 UTC 2014
New revision: 371877
URL: https://svnweb.freebsd.org/changeset/ports/371877

Log:
  www/polipo: Fix build that uses custom PCACHEDIR

  While here, remove obsolete @dirrm lines, combine install targets,
  and condense mkdir commands into one.

  PR:		193606
  Submitted by:	WATANABE Kazuhiro
  Approved by:	maintainer (Frank Behrens)

Changes:
  head/www/polipo/Makefile
  head/www/polipo/pkg-plist
Comment 8 John Marino freebsd_committer 2014-10-31 17:11:03 UTC
done, thanks!